<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PacketEncryptionService (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PacketEncryptionService (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PacketEncryptionService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/service/packet/PacketCreationService.html" title="interface in io.mosip.registration.service.packet"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/service/packet/PacketExportService.html" title="interface in io.mosip.registration.service.packet"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/service/packet/PacketEncryptionService.html" target="_top">Frames</a></li>
<li><a href="PacketEncryptionService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.service.packet</div>
<h2 title="Interface PacketEncryptionService" class="title">Interface PacketEncryptionService</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../io/mosip/registration/service/packet/impl/PacketEncryptionServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">PacketEncryptionServiceImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">PacketEncryptionService</span></pre>
<div class="block">This class encrypts the Registration packet using RSA and AES algorithms.
 Then saves the encrypted packet and acknowledgement receipt in the specified location.
 And adds an entry in the <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a> table</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Balaji Sridharan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/PacketEncryptionService.html#encrypt-io.mosip.registration.dto.RegistrationDTO-byte:A-">encrypt</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO,
       byte[]&nbsp;packetZipData)</code>
<div class="block">Encrypts the input data using AES algorithm followed by RSA.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="encrypt-io.mosip.registration.dto.RegistrationDTO-byte:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>encrypt</h4>
<pre><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;encrypt(<a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO,
                    byte[]&nbsp;packetZipData)
             throws <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></pre>
<div class="block">Encrypts the input data using AES algorithm followed by RSA. Stores the
 encrypted data in the specified location and saves the details in
 <a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity"><code>Registration</code></a></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>registrationDTO</code> - the <a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto"><code>RegistrationDTO</code></a> containing the registration details</dd>
<dd><code>packetZipData</code> - the data to be encrypted</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>encrypted data as byte array</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></code> - the checked exception</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PacketEncryptionService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/service/packet/PacketCreationService.html" title="interface in io.mosip.registration.service.packet"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/service/packet/PacketExportService.html" title="interface in io.mosip.registration.service.packet"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/service/packet/PacketEncryptionService.html" target="_top">Frames</a></li>
<li><a href="PacketEncryptionService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
